package com.iver.cit.gvsig.fmap.edition;

import com.iver.utiles.swing.threads.Cancellable;

public class BeforeRowEditEvent extends EditionEvent {

	long numRow;
	int changeType;
	Cancellable cancel;
	public BeforeRowEditEvent(IEditableSource source, long numRow, int changeType, Cancellable cancel,int sourceType)
	{
		super(source, EditionEvent.ROW_EDITION, sourceType);
		this.numRow = numRow;
		this.changeType = changeType;
		this.cancel = cancel;
	}
	/**
	 * @return Returns the cancel.
	 */
	public Cancellable getCancel() {
		return cancel;
	}
	/**
	 * @return Returns the changeType.
	 */
	public int getChangeType() {
		return changeType;
	}
	/**
	 * @return Returns the numRow.
	 */
	public long getNumRow() {
		return numRow;
	}

}
