package com.hardcode.gdbms.engine.internalExceptions;

/**
 * Internal exception catcher
 *
 * @author Fernando Gonzlez Corts
 */
public class InternalExceptionCatcher {
	private static InternalExceptionListenerSupport support = new InternalExceptionListenerSupport();

	/**
	 * patron observer
	 *
	 * @param listener DOCUMENT ME!
	 */
	public static void addInternalExceptionListener(InternalExceptionListener listener) {
		support.addInternalExceptionListener(listener);
	}

	/**
	 * Notifies the event observers
	 *
	 * @param arg0 the event
	 */
	public static void callExceptionRaised(InternalExceptionEvent arg0) {
		support.callExceptionRaised(arg0);
	}

	/**
	 * patron observer
	 *
	 * @param listener DOCUMENT ME!
	 */
	public static void removeInternalExceptionListener(
		InternalExceptionListener listener) {
		support.removeInternalExceptionListener(listener);
	}
}
